Summary: Package to integrate GeneWeb (V6) into SME Server

%define name smeserver-geneweb
Name: %{name}
%define version 2.3.0
%define release 6
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.xz
Patch0: %{name}-%{version}-init_v10_systemd.patch
Patch1: %{name}-%{version}-to_smanager.patch
Patch2: %{name}-%{version}-TcpPort.patch
Patch3: smeserver-geneweb-2.3.0-locale-2021-08-22.patch
Patch4: smeserver-geneweb-2.3.0-Add-class-to-div-for-AdminLTE.patch
Patch5: smeserver-geneweb-2.3.0-migrate-logs-users-bz12047_httpd-bz12074_backup.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: geneweb >= 6.08
Requires: smeserver-release >= 10.0
Requires: e-smith-formmagick >= 2.4.0-1
BuildRequires: e-smith-devtools
Requires: e-smith-apache >= 2.6.0-19
Requires: smeserver-php >= 3.0.0-43
AutoReqProv: no

%description
This RPM must be installed after the geneweb package
to complete the integration for SME Server.

%prep

rm -rf $RPM_BUILD_ROOT

%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
perl createlinks

LEXICONS=$(find root/etc/e-smith/{locale/,web/functions/} -type f )
for lexicon in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $lexicon
done

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)
%attr(755, root, root) /usr/lib/systemd/systemd-geneweb
%attr(755, root, root) /usr/lib/systemd/systemd-gwsetup

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun
/sbin/e-smith/db configuration setprop geneweb status disabled
/sbin/e-smith/db configuration setprop gwsetup status disabled
/usr/bin/systemctl stop geneweb gwsetup

%postun

%changelog
* Thu Jul 14 2022 Michel Begue <mab974@misouk.com> 2.3.0-6.sme
- fix migrate fragment error [SME: 11610]
- back to standard log files and fix log files not fed 
- run 2 services with user geneweb
- add geneweb to backup list [SME: 12074]
- update to httpd 2.4 syntax [SME: 12047]

* Fri Jan 07 2022 Brian Read <brianr@bjsystems.co.uk> 2.3.0-5.sme
- Add-class-to-div-for-AdminLTE [SME: 11838]

* Sun Aug 22 2021 Terry Fage <terry.fage@gmail.com> 2.3.0-4.sme
- apply locale 2021-08-22 patch

* Tue Mar 23 2021 Michel Begue <mab974@gmail.com> 2.3.0-3.sme
- change TCPPort attributes to avoid filtering effect [SME: 10930] 
- move changelog to the bottom of spec
- readd changelog from contribs9

* Mon Mar 15 2021 Michel Begue <mab974@gmail.com> 2.3.0-2.sme
- change geneweb & gwsetup to systemd services
- add smeserver-geneweb-update event
- add template and controller for smanager

* Thu Nov 05 2020 Michel Begue <mab974@gmail.com> 2.3.0-1.sme
- first import to sme 10 for geneweb v6.08

* Thu Jul 30 2020 SME Translation Server <translations@contribs.org> 2.1.0-5.sme
- apply locale 2020-07-30 patch

* Sat Jul 11 2020 Michel Begue <mab974@gmail.com> 2.1.0-4.sme
- geneweb and gwsetup services thru proxypass [SME: 10930]

* Sat Dec 07 2019 SME Translation Server <translations@contribs.org> 2.1.0-2.sme
- apply locale 2019-12-07 patch

* Wed Apr 03 2019 Michel Begue <mab974@gmail.com> 2.1-1.sme
- first import in sme9 for geneweb v6.08
- geneweb service not started [SME: 6371]
- Add "Base directory" input in panel console.
- perms corrected in templates.metadata
- normalize template and .spec
